Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

It's required to filter tasks which contain several words in various order and placement.

Related issues:

Is duplicate of Redmine - Feature #1140: Filtering using more than one instan... New 2008-04-29

History

#1 - 2010-01-17 15:47 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-11-19 01:42 - Maxim Nikolaevich

Please rename the issue:

Allow to use one field in filters multiple times

I don't have permission for that

I think it's more common issue and can be resolved in another way.

Need to allow to filter one field several times.

For example:

filtering field "date" type

Now possible values are:

is less than

is more than

in

today

this week

less than days ago

more than days ago

days ago

 It's not easy.

more easy values are:

is less than

is more than

less than days ago

more than days ago

But allow to filter this field two times.

For example to get "today" variant i need two filters:

less than days ago = 0

more than days ago = 0

to get "this week" field i need two filters:

less than days ago = 0

more than days ago = 7

Of corse it allow to find issues with two words in the subject: for example date & filter

I can write patch if you are agree to insert this feature in the redmine
#3 - 2011-11-21 06:17 - Maxim Nikolaevich

i tried last trunk and think date field become more complixity. It's bad, but it's your way. Ok, but the part of this issue still need to be resolved so it can

be renamed to "Allow to filter several words in various order and placement in subject."

#4 - 2011-11-21 06:19 - Maxim Nikolaevich

- Status changed from New to Resolved

since renaming issue to "Allow to filter several words in various order and placement in subject." it can be marked as duplicate of #1140

#5 - 2011-11-21 09:10 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Duplicate
